summaryrefslogtreecommitdiff
path: root/recipes-bsp/binary-drivers/linux-driver-package/nvfb
diff options
context:
space:
mode:
authorMax Krummenacher <max.krummenacher@toradex.com>2019-02-18 09:37:10 +0100
committerMax Krummenacher <max.krummenacher@toradex.com>2019-03-06 19:03:44 +0100
commit5036201925da2f4f4d48994d6c20513f683ea0ef (patch)
tree90bad5c2bb6fb6c9c663b2e1164b727704c2cca7 /recipes-bsp/binary-drivers/linux-driver-package/nvfb
parent90dd09c4014acc74791151f2b13281efae6aacd7 (diff)
tk1: drop meta-jetson-tk1
All of meta-jetson-tk1 has been moved into meta-toradex-tegra as updates were needed. Drop meta-jetson-tk1. Signed-off-by: Max Krummenacher <max.krummenacher@toradex.com>
Diffstat (limited to 'recipes-bsp/binary-drivers/linux-driver-package/nvfb')
-rwxr-xr-xrecipes-bsp/binary-drivers/linux-driver-package/nvfb25
1 files changed, 25 insertions, 0 deletions
diff --git a/recipes-bsp/binary-drivers/linux-driver-package/nvfb b/recipes-bsp/binary-drivers/linux-driver-package/nvfb
new file mode 100755
index 0000000..e5f4502
--- /dev/null
+++ b/recipes-bsp/binary-drivers/linux-driver-package/nvfb
@@ -0,0 +1,25 @@
+#!/bin/sh
+#"specific first-boot script"
+
+nvexec() {
+ RET=0
+ if [ ! -e /etc/nv/nvfirstboot ]; then
+ RET=0
+ else
+ echo "/usr/lib/arm-linux-gnueabihf/tegra" >> /etc/ld.so.conf
+ echo "/usr/lib/arm-linux-gnueabihf/tegra-egl" >> /etc/ld.so.conf
+
+ ldconfig
+ rm -rf /etc/nv/nvfirstboot
+ fi
+ exit $RET
+}
+
+case "$1" in
+ start)
+ nvexec
+ exit 0
+ ;;
+ *)
+ exit 1
+esac